org.apache.ignite.mxbean

## Interface ClientProcessorMXBean

    @MXBeanDescription(value="MBean that provides information about client connections.")
    public interface ClientProcessorMXBean

MXBean interface that provides access to ODBC\JDBC\Thin client connections.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dropAllConnections()` Drop all active connections.
`boolean` `dropConnection(long id)` Drops client connection by `id`, if exists.
`List<String>` `getConnections()` Returns list of active connections.

### Method Detail

#### getConnections

    @MXBeanDescription(value="List of client connections.")
    List<String> getConnections()

Returns list of active connections.

Returns:
  Sessions.

#### dropAllConnections

    @MXBeanDescription(value="Drop all client connections.")
    void dropAllConnections()

Drop all active connections.

#### dropConnection

    @MXBeanDescription(value="Drop client connection by ID.")
     @MXBeanParametersNames(value="id")
     @MXBeanParametersDescriptions(value="Client connection ID.")
    boolean dropConnection(long id)

Drops client connection by `id`, if exists.

Parameters:
  `id` - connection id.
Returns:
  `True` if connection has been dropped successfully, `false` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020